[Overview][Classes][Variables][Index] | Reference for unit 'ports' (#rtl)

# tportl

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Type implemented to support Longint-sized port access

## Declaration

Source position: ports.pp line 42

`type tportl = class`
`public`
`property pp: LongInt; default; [rw]` |  | Access Longint-sized port by port number
`end;`

## Inheritance

`tportl` |  | Type implemented to support Longint-sized port access
`TObject`

## Description

The TPortL type is implemented specially for access to the ports in a TP compatible manner. There is no need to create an instance of this type: the standard TP variables are instantiated at unit initialization.

## See also

portw |  | Provide port access per word
TPort |  | Type implemented to support integer-sized port access
TPortL |  | Type implemented to support Longint-sized port access

Documentation generated on: Feb 26 2014